Bug 226911 - databases/freetds: Fix build with LibreSSL 2.7
Summary: databases/freetds: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL: https://github.com/FreeTDS/freetds/pu...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-25 11:04 UTC by Bernard Spil
Modified: 2018-05-07 18:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
svn diff for databases/freetds (2.90 KB, patch)
2018-03-25 11:04 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-03-25 11:04:50 UTC
Created attachment 191800 [details]
svn diff for databases/freetds

```
databases/freetds: Fix build with LibreSSL 2.7

LibreSSL 2.7 introduces the OpenSSL 1.1 API

PR:
```
Comment 1 Bernard Spil freebsd_committer 2018-04-02 17:52:26 UTC
Add upstream pull-request
Comment 2 commit-hook freebsd_committer 2018-05-07 18:45:04 UTC
A commit references this bug:

Author: brnrd
Date: Mon May  7 18:44:51 UTC 2018
New revision: 469309
URL: https://svnweb.freebsd.org/changeset/ports/469309

Log:
  databases/freetds: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 introduces the OpenSSL 1.1 API

  PR:		226911
  Approved by:	maintainer time-out

Changes:
  head/databases/freetds/files/patch-src_tds_sec__negotiate__openssl.h
  head/databases/freetds/files/patch-src_tds_sec_negotiate_openssl.h
  head/databases/freetds/files/patch-src_tds_tls.c